> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh invitation for case

> Refreshes the expiration date for an existing invitation.

When an onboarding invitation is generated, the candidate has 14 days (the default expiration period) to begin and complete their onboarding, or else the link in their invitation email becomes invalid.

As long as the invitation is refreshed during the 14-day period, enough time will be added so that the candidate has 14 days to complete onboarding. For example, if only 1 day remains, 13 days will be added. If 12 days still remain, only 2 days will be added.

Note that for your cases that don't rely on the candidate to onboard, such as those that use the customer PII entry feature, you'll never need to call this API.



## OpenAPI

````yaml /background-check-api/api-reference/openapi.json put /case/id/{caseId}/action/refreshinvite
openapi: 3.1.0
info:
  title: KarmaCheck API
  description: >-
    All requests to the KarmaCheck API require a JSON Web Token (JWT) in the
    Authorization header. For an overview of the API and its authentication
    method, refer to the following topics:


    - [API basics](docs/overview/apis/api-overview.md)

    - [Authentication](docs/overview/apis/authentication.md)

    - [Environments](docs/overview/apis/environments.md)

    - [Status codes and errors](docs/overview/apis/errors.md)
  version: '1.0'
  contact:
    name: KarmaCheck
    email: customersuccess@karmacheck.com
servers:
  - description: Stage
    url: https://api-stage.karmacheck.io
  - description: Prod
    url: https://api.karmacheck.io
security:
  - JWT: []
tags:
  - name: Authentication
  - name: Cases
  - name: Candidate onboarding
  - name: Secure documents
  - name: Packages
  - name: Services
  - name: Users
  - name: Companies
  - name: Partner integrations
paths:
  /case/id/{caseId}/action/refreshinvite:
    parameters:
      - schema:
          type: string
        name: caseId
        in: path
        required: true
        description: The ID of the case to refresh the invitation for.
    put:
      tags:
        - Candidate onboarding
      summary: Refresh invitation for case
      description: >-
        Refreshes the expiration date for an existing invitation.


        When an onboarding invitation is generated, the candidate has 14 days
        (the default expiration period) to begin and complete their onboarding,
        or else the link in their invitation email becomes invalid.


        As long as the invitation is refreshed during the 14-day period, enough
        time will be added so that the candidate has 14 days to complete
        onboarding. For example, if only 1 day remains, 13 days will be added.
        If 12 days still remain, only 2 days will be added.


        Note that for your cases that don't rely on the candidate to onboard,
        such as those that use the customer PII entry feature, you'll never need
        to call this API.
      operationId: put-case-id-caseId-action-refreshinvite
      responses:
        '200':
          description: OK
        '403':
          description: Forbidden
        '422':
          description: The candidate already began or finished onboarding.
        '500':
          description: Internal Server Error
      security:
        - JWT: []
components:
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````